
public skill_shine_brightly(id,victim)
{
	if(g_player_spirit[id] > random_num(1,g_player_spirit[victim]))
	{
		if(!g_player_in_skill[victim])
		{
			static flash;
			flash=105+g_skill[id][P_SKILL_2]*random_num(20,30);
			
			create_screen_fade(victim,(1<<10),(1<<10),(1<<12),255,255,255,flash);
		}
	}
	
	return PLUGIN_CONTINUE;
}
